Get project machine translate settings
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mtSettingsPerLangList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"args": {},
"baseName": "<string>",
"category": "<string>",
"default_": true,
"enabled": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
]
}Project
Get project machine translate settings
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
mtSettings
Get project machine translate settings
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I